Subject: bug#54993: 28.1; Editing etc/NEWS on master with Emacs 28 signals an error

From: Eli Zaretskii <[email-masked]>
Date: Mon, 18 Apr 2022 13:45:04 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 18 Apr 2022 12:08:28 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> Hi Eli,
> 
> >> FTR, I find the new emacs-news-mode very convenient. Hiding it in
> >> private customizations would remove its convenience.
> >
> > ??? How's that?  You make that customization once, and then get to
> > enjoy the convenience happily ever after.  What am I missing?
> >
> > The customization I had in mind is to tell Emacs to turn on
> > emacs-news-mode when you visit a file called "NEWS".
> 
> Midterm, I have the hope to extend emacs-news-mode for some checks when
> adding something to etc/NEWS. Something like checking proper quotation
> etc.
> 
> However, this works only when this mode is enabled. If we need to tell
> every occasional contributor to enable this mode, it would be less useful.

We could add NEWS to auto-mode-alist instead, and that would solve the
issue cleanly for everyone.  That was one of the original
alternatives, but somehow it was forgotten now.

Btw, another issue with emacs-news-mode is that it invokes
outline-minor-mode, which means all the headings-related commands are
now bound to different keys than they were before.  Wouldn't it be
better if emacs-news-mode were a minor mode invoked by Outline
instead?